import 'dart:math';

import 'package:flutter/material.dart';
import 'package:syncfusion_flutter_charts/charts.dart';

void main() {
  runApp(MaterialApp(
    home: ChartPage(),
  ));
}

class ChartPage extends StatefulWidget {
  @override
  _ChartPageState createState() => _ChartPageState();
}

List<ChartData> chartData;

class _ChartPageState extends State<ChartPage> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    chartData = getData();
    return Scaffold(
        appBar: AppBar(),
        body: Container(
          child: SfCartesianChart(
            primaryXAxis: CategoryAxis(
                visibleMinimum: 0,
                interval: 1,
                labelIntersectAction: AxisLabelIntersectAction.multipleRows,
                visibleMaximum: 6
            ),
            zoomPanBehavior: ZoomPanBehavior(
              enablePanning: true,
            ),
            series: <CartesianSeries<ChartData,String>>[
              ColumnSeries(
                dataSource: chartData,
                xValueMapper: (ChartData data, _) => data.x,
                yValueMapper: (ChartData data, _) => data.y,
              )
            ],
          ),
        )
    );
  }
}
dynamic getData(){
  List<ChartData> data = [];
  for (int i =1; i < 30; i++){
    data.add(ChartData('X'+i.toString(),getRandomInt(10, 100)));
  }
  return data;
}

num getRandomInt(num min, num max) {
  final Random random = Random();
  return min + random.nextInt(max - min);
}
class ChartData {
  ChartData(this.x, this.y);
  final String x;
  final int y;
}